# Class GetMyOffersReply

#### Hierarchy

- unknown
  - GetMyOffersReply

- Defined in src/protobuf/grpc_pb.d.ts:1486
- Defined in src/protobuf/grpc_pb.d.ts:1500

#####
Index

### Constructors

constructor

### Methods

addOffers
clearOffersList
getOffersList
serializeBinary
setOffersList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetMyOffersReply(): GetMyOffersReply

- #### Returns GetMyOffersReply

  Inherited from jspb.Message.constructor

## Methods

### addOffers

- addOffers(value?: OfferInfo, index?: number): OfferInfo

- #### Parameters

  - ##### `Optional` value: OfferInfo

  - ##### `Optional` index: number

  #### Returns OfferInfo

  - Defined in src/protobuf/grpc_pb.d.ts:1490

### clearOffersList

- clearOffersList(): GetMyOffersReply

- #### Returns GetMyOffersReply

  - Defined in src/protobuf/grpc_pb.d.ts:1489

### getOffersList

- getOffersList(): OfferInfo[]

- #### Returns OfferInfo[]

  - Defined in src/protobuf/grpc_pb.d.ts:1487

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1492

### setOffersList

- setOffersList(value: OfferInfo[]): GetMyOffersReply

- #### Parameters

  - ##### value: OfferInfo[]

  #### Returns GetMyOffersReply

  - Defined in src/protobuf/grpc_pb.d.ts:1488

### toObject

- toObject(includeInstance?: boolean): GetMyOffersReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetMyOffersReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1493

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMyOffersReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMyOffersReply

  - Defined in src/protobuf/grpc_pb.d.ts:1496

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMyOffersReply, reader: BinaryReader): GetMyOffersReply

- #### Parameters

  - ##### message: GetMyOffersReply

  - ##### reader: BinaryReader

  #### Returns GetMyOffersReply

  - Defined in src/protobuf/grpc_pb.d.ts:1497

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMyOffersReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetMyOffersReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1495

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetMyOffersReply): GetMyOffersReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMyOffersReply

  #### Returns GetMyOffersReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1494

Generated using TypeDoc